%bcond_without python2

Name:            python-pid
Version:         3.0.4
Release:         2
Summary:         Python pid management
License:         ASL 2.0
URL:             https://pypi.python.org/pypi/pid
Source0:         https://pypi.python.org/packages/source/p/pid/pid-%{version}.tar.gz

BuildArch:       noarch

Patch1:          pytest-related_updates.patch

%description
A module about python pid management, with fcntl to add state to the lock file.

%if %{with python2}
%package      -n python2-pid
Summary:         PID file management library
BuildRequires:   python2-devel python2-setuptools python2-nose
BuildRequires:   python2-pytest python2-mock
%{?python_provide:%python_provide python2-pid}

%description  -n python2-pid
Python-pid for python2.
%endif


%package      -n python3-pid
Summary:         PID file management library
BuildRequires:   python3-devel python3-setuptools python3-nose
BuildRequires:   python3-pytest python3-mock
%{?python_provide:%python_provide python3-pid}

%description  -n python3-pid
Python-pid for python3.

%prep
%autosetup -n pid-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} -m pytest
%{__python3} -m pytest

%pre

%preun

%post

%postun

%if %{with python2}
%files -n python2-pid
%license LICENSE
%doc AUTHORS CHANGELOG README.rst
%{python2_sitelib}/pid
%{python2_sitelib}/pid-*.egg-info
%endif

%files -n python3-pid
%license LICENSE
%doc AUTHORS CHANGELOG README.rst
%{python3_sitelib}/pid
%{python3_sitelib}/pid-*.egg-info

%changelog
* Sat Dec 05 2020 jitao<jitao3@huawei.com> - 3.0.4-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix test suite fail

* Mon Aug 24 2020 wenzhanli<wenzhanli2@huaweir.org> - 3.0.4-1
- Bump to version 3.0.4

* Sat Mar 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.1.1-12
- Add macro of bcond_with

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.1.1-11
- Enabale python2

* Fri Oct 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.1.1-10
- Package init
